Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 25 Mar 2021 07:49:11 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello,
I wanna know where is my orders ?
Now more than a week when I order and I didn’t receive my orders . Every time I contact customer service they reply me with excuses that I cannot acceptable.
Every time I ordered they should cancel some items without any reason  and available in online  and sometime they canel my all order just like that.
It’s really very bad experience with shopping with max and I cannot except and excuses. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2299709